Page MenuHomePhabricator

Allow Project to have automatic Conpherence 'Rooms'
Closed, DuplicatePublic

Description

Projects should have the ability to have individual Conpherence rooms, where people are automatically added and removed based on Project membership. The short list:

  • Membership stays in sync with Project Membership
  • Conpherence Title/Icon based on Project Title / Icon
  • Perhaps some other visual separation of Projects / Inbox on the side bar (needed?)

Event Timeline

Yomi created this task.May 18 2014, 4:21 PM
Yomi updated the task description. (Show Details)
Yomi raised the priority of this task from to Needs Triage.
Yomi added a project: Conpherence.
Yomi added a subscriber: Yomi.
qgil added a subscriber: qgil.May 18 2014, 7:26 PM

I asked a related question at Q62: Broadcasting messages.

chad added a subscriber: chad.EditedMay 19 2014, 2:40 AM

This isn't something we'd likely extend to Conpherence. Can you explain a little more your use case and what you're looking to accomplish? One thing we'd like to build into Dashboards is the means of using the homepage to raise notifications / sitewide messaging, with being dismissible.

chad renamed this task from Extend Conpherence to send messages to Project members to Allow Project to have automatic Conpherence 'Rooms'.May 19 2014, 5:00 PM
chad updated the task description. (Show Details)
chad triaged this task as Wishlist priority.
chad added a project: Projects.

I think I understood your request a bit better after a night sleep. If this isn't the case you're looking for let me know. I think we had this requested in the past, but I cannot find a ticket to reference.

Yomi added a comment.May 19 2014, 5:46 PM

@chad, you got it!
Sorry I didn't elaborate.

timor added a subscriber: timor.Jun 24 2014, 1:31 PM

I'm just going to merge this into T5364, which has a lot more discussion about future plans for Conpherence.

We probably aren't going to make automatic 1:1 rooms (I'm generally not thrilled about how this worked for wiki pages, and want to move away from it, and we don't get the same kinds of benefits that 1:1 workboards give us), but will probably end up with some approximation of this.

Locking invite lists to project membership is probably the major thing mentioned here, I'll mention it on T5364.

epriestley closed this task as a duplicate.Aug 13 2014, 3:35 AM

✘ Merged into T5364.